"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fontVariant = function (variant) { return variant && "sentico-sans-" + variant; };
var pxToEm = function (size) { return size / 16; };
var fontPropertiesFactory = function (props, defaultProps) {
    var fontColor = props.fontColor, fontDimension = props.fontDimension, variant = props.variant, margin = props.margin;
    var defaultColor = defaultProps.defaultColor, defaultFontSize = defaultProps.defaultFontSize, defaultVariant = defaultProps.defaultVariant, defaultMargin = defaultProps.defaultMargin;
    return "\n    font-family: " + (fontVariant(variant) || fontVariant(defaultVariant)) + ";\n    font-size: " + (pxToEm(fontDimension) || pxToEm(defaultFontSize)) + "em;\n    color: " + (fontColor || defaultColor) + ";\n    margin: " + (margin || defaultMargin) + ";\n    font-weight: 500;\n  ";
};
exports.default = {
    fontVariant: fontVariant,
    pxToEm: pxToEm,
    fontPropertiesFactory: fontPropertiesFactory,
};
//# sourceMappingURL=TextHelper.js.map