"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
exports.getChildrenOfClass = function (ComponentClass, children) {
    var isElementFn = exports.isOfComponentClass(ComponentClass);
    var filteredChildren = filterChildren(isElementFn)(children);
    return filteredChildren;
};
exports.isElementOfComponentClass = function (ComponentClass, element) {
    return element.type === ComponentClass;
};
exports.isOfComponentClass = function (ComponentClass) { return function (element) {
    return exports.isElementOfComponentClass(ComponentClass, element);
}; };
exports.filterElement = function (isElementFn, childrenArray) {
    return childrenArray.filter(isElementFn);
};
var filterChildren = function (isElementFn) { return function (children) {
    var childrenArray = React.Children.toArray(children);
    return exports.filterElement(isElementFn, childrenArray);
}; };
//# sourceMappingURL=elementsHelper.js.map