"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var emailRegex = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
var namesWithoutSpecialCharacter = /^[a-zA-Z0-9_. -]*$/;
var fieldModule = {
    name: function (name) { return name.length < 3 && 'Campo nome completo está inválido'; },
    email: function (email) { return !emailRegex.test(email) && 'Preencha o e-mail corretamente'; },
    telphone: function (telphone) { return (telphone.length < 14) && 'Telefone inválido'; },
    cpf: function (cpf) { return (cpf.length < 14) && 'CPF inválido'; },
    razao_social: function (razao_social) { return (razao_social.length < 5 || !namesWithoutSpecialCharacter.test(razao_social)) && 'Campo razão social está inválido'; },
};
var fields = new Map();
fields.set('name', fieldModule.name);
fields.set('email', fieldModule.email);
fields.set('telphone', fieldModule.telphone);
fields.set('cpf', fieldModule.cpf);
fields.set('razao_social', fieldModule.razao_social);
var fieldStrategy = function (field, value) { return fields.get(field)(value) || null; };
exports.default = fieldStrategy;
//# sourceMappingURL=index.js.map