import * as React from 'react';
import styled from 'styled-components';

import { IProps } from '../AlertFlag';

interface IChildProps extends IProps {
  color?: string; 
  css?: string;
}

const Wrapper = styled.div<{color?: string}>`
  border: 1px solid ${({ color }) => color};
  display: flex;
`;

const IconWrapper = styled.div<{ color?: string }>`
  border-right: 1px solid ${({ color }) => color};
  padding: 10px;
`;

const ChildWrapper = styled.div`
  padding-top: 10px;
  padding-left: 16px;
`;

export default ({ children, color, icon, ...props }: IChildProps) => (
  <Wrapper color={color} {...props}>
    { icon && (
      <IconWrapper color={color}>
        {icon}
      </IconWrapper>
    )}
    <ChildWrapper>
      { children }
    </ChildWrapper>
  </Wrapper>
)