import * as React from 'react';
import styled from 'styled-components';

import { IProps } from '../AlertFlag';
import Icons from '../../Icons';
import Colors from '../../Colors';

const Wrapper = styled.div<{color: string}>`
  border: 1px solid ${({ color }) => color};
  display: flex;
`;

const IconWrapper = styled.div<{ color: string }>`
  border-right: 1px solid ${({ color }) => color};
  padding: 10px 5px;
  display: flex;
  align-items: center;
`;

const ChildWrapper = styled.div`
  padding-top: 10px;
  padding-left: 16px;
`;

const Close = styled.button`
  margin-left: auto;
  appearance: none;
  border: 0 none;
  background-color: transparent;
  border-left: 1px solid;
  cursor: pointer;
`;

export default ({ children, onClose }: IProps) => (
  <Wrapper color={Colors.codGray}>
    <IconWrapper color={Colors.codGray}><Icons.SecondaryInfo /></IconWrapper>
    <ChildWrapper>{children}</ChildWrapper>
    <Close onClick={() => onClose && onClose(false)}><Icons.Close height={20} width={25} /></Close>
  </Wrapper>
)