import * as React from 'react';
import styled from 'styled-components';

import { IProps } from '../AlertFlag';

import Colors from '../../Colors';
import TextHelper from '../../TextHelper';
import Icons from '../../Icons';

const Wrapper = styled.div`
  color: ${Colors.chestnut};
  background-color: ${Colors.heaven};
  padding: 16px;
  font-family: ${TextHelper.fontVariant('medium')};
  display: flex;
  align-items: center;

  svg {
    margin-right: 10px;
  }
`;

export default ({ children, ...props }: IProps) => (
  <Wrapper {...props}>
    <Icons.Close color={Colors.chestnut} height={25} width={25} viewBox='0 0 25 20' noHover />
    {children}
  </Wrapper>
);