import styled from 'styled-components';

import Colors from '../Colors';
import TextHelper from '../TextHelper';
import Sizes from '../Sizes';

export const Selector = styled.button.attrs({
  type: 'button',
})<{ disabled?: boolean, isActive: boolean }>`
  background-color: ${Colors.white};
  color: ${Colors.mongeral};
  border: 2px solid;
  border-radius: 25px;
  padding: ${Sizes.s2}px ${Sizes.s3}px;
  line-height: 1;
  outline: 0;
  margin-right: ${Sizes.s3}px;
  cursor: pointer;

  font-family: ${TextHelper.fontVariant('medium')};
  font-weight: 500;
  transition: all 0.3s;

  &:hover {
    border-color: ${Colors.regalBlue};
    color: ${Colors.regalBlue};
  }

  ${({ isActive }) => isActive && `
    background-color: ${Colors.mongeral};
    border-color: ${Colors.mongeral};
    color: ${Colors.white};

    &:hover {
      border-color: ${Colors.mongeral};
      color: ${Colors.white};
    }
  `}

  ${({ disabled }) => disabled && `
    opacity: 0.2;
    cursor: auto;
  `}
`;

export const Header = styled.p`
  font-family: ${TextHelper.fontVariant('medium')};
  font-size: 10px;
`;

export const Wrapper = styled.div`
  position: relative;
  white-space: nowrap;
  overflow-x: auto;
  -webkit-overflow-scrolling: touch;
  -ms-overflow-style: -ms-autohiding-scrollbar;

  &::-webkit-scrollbar {
    display: none;
  }
`;
