import * as React from 'react';
import styled, { keyframes } from 'styled-components';

import Colors from '../Colors';

const draw = keyframes`
  0% {
    stroke-dashoffset: 164.46;
    opacity: 0;
  }

  20% { opacity: 1; }

  50% {
  opacity: 1;
  stroke-dashoffset: 0;
  }

  55% { opacity: 0; }
  100% { opacity: 0; }
`

const AutumnIcon = styled.svg`
  fill: none;
	stroke: ${Colors.support};
	stroke-miterlimit: 10;
	stroke-width: 6px;
	stroke-dasharray: 164.46;
	stroke-dashoffset: 0;

  .wind-middle {
    animation: ${draw} 3s ease-in-out infinite forwards;
    opacity: 0;
  }
  .wind-top {
    animation: ${draw} 3s 1.5s ease-in-out infinite forwards;
    opacity: 0;
  }
  .wind-down {
    animation: ${draw} 3.5s 2.6s ease-in-out infinite forwards;
    opacity: 0;
  }
`;

export default (props: { css?: string }) => (
  <AutumnIcon viewBox='0 0 82 82' xmlns='http://www.w3.org/2000/svg' {...props}>
    <path
      className='wind-top'
      d='M3.7,32.3H30c7.9,0,14.3-6.4,14.3-14.3S37.9,3.7,30,3.7S15.7,10,15.8,17.9 c0,7.9,6.4,14.3,14.3,14.3h37.3'
    />
    <path
      className='wind-middle'
      d='M3.7,46.5h49.1c7.9,0,14.3-6.4,14.3-14.3s-6.4-14.3-14.3-14.3s-14.3,6.4-14.3,14.3 s6.4,14.3,14.3,14.3h25.5'
    />
    <path
      className='wind-down'
      d='M14.6,60.8h32.8c4.9,0,8.8,3.9,8.8,8.8s-3.9,8.8-8.8,8.8s-8.8-3.9-8.8-8.8s3.9-8.8,8.8-8.8h30.9'
    />
  </AutumnIcon>
);