import * as React from 'react';
import styled from 'styled-components';

export interface IProps {
  width?: number;
  height?: number;
  color?: string;
  css?: string;
}

const Cigar = styled.svg<IProps>`
  fill:none;
  stroke-miterlimit: 10;
  stroke-width: 1px;
  stroke: currentColor;
  stroke-linejoin: bevel;
`;

export default React.memo(({ width, height, color, ...props }: IProps) => (
  <Cigar xmlns='http://www.w3.org/2000/svg' width={width || 92} height={height || 68} viewBox='0 0 92 68' {...props}>
    <path className="i-cigar" d="M70.933 44.789H1V67h69.933V44.789z"/>
    <path className="i-cigar" d="M79.06 67V40.787a9.883 9.883 0 0 0-9.868-9.868h-9.379a17.133 17.133 0 0 1-17.14-17.14" />
    <path className="i-cigar" d="M91.22 67V27.008a9.883 9.883 0 0 0-9.868-9.868H74.08A17.159 17.159 0 0 1 56.91 0" />
    <path className="i-cigar fill" d="M1 44.819h22.181V67H1z" fill={color} />
  </Cigar>
));
