import * as React from 'react';
import styled from 'styled-components';

export interface IProps {
  width?: number;
  height?: number;
  color?: string;
  css?: string;
}

const Cost = styled.svg<IProps>`
  fill:none;
  stroke-miterlimit: 10;
  stroke-width: 2px;
  stroke: currentColor;
  stroke-linecap: square;
`;

export default React.memo(({ width, height, color, ...props }: IProps) => (
  <Cost xmlns='http://www.w3.org/2000/svg' width={width || 28} height={height || 26} viewBox='0 0 28 26' {...props}>
    <path className="i-cost" d="M21.59 25H6.14L1.357 9.574h25.016z" />
    <path className="i-cost" d="M13.869 9.574V0M22.44 9.574l2.978-2.978a2.946 2.946 0 1 0-4.111-4.217L14.646 9.04a3.029 3.029 0 0 0-.429.534M21.452 6.62l-2.185-2.185M19.008 15.458H9.442"/>  
  </Cost>
));
