import * as React from 'react';
import styled from 'styled-components';

export interface IProps {
  width?: number;
  height?: number;
  color?: string;
  css?: string;
}

const DITIcon = styled.svg<IProps>`
  fill:none;
  stroke-miterlimit: 10;
  stroke-width: 1px;
  stroke: currentColor;
  stroke-linecap:square;
`;

export default React.memo(({ width, height, color, ...props }: IProps) => (
  <DITIcon xmlns='http://www.w3.org/2000/svg' width={width || 100} height={height || 80} viewBox='0 0 55 45' {...props}>
    <path className='icon' d='M37.56 4.082a10.174 10.174 0 0 1 13.942 14.82L28.007 42.397 1.414 15.804l14.39-14.39L27.99 13.597zM13.927 28.317V3.29m12.531 37.541V12.069m14.063 17.815H26.372m26.489-12.583H26.406'/>
  </DITIcon>
));
