import * as React from 'react';
import styled, { keyframes, css } from 'styled-components';

const keyframess = keyframes`
  0% { transform: scale(1); }
  30% { transform: scale(1); }
  40% { transform: scale(1.08); }
  50% { transform: scale(1); }
  60% { transform: scale(1); }
  70% { transform: scale(1.05); }
  80% { transform: scale(1); }
  100% { transform: scale(1); }
`;

const LoadingAegon = styled.svg`
  height: 150px;
  margin-bottom: 41px;
  animation: ${css`${keyframess}`} 2s ease-in infinite;

  .splash-screen__path {
    fill: currentColor;
    fill-rule: evenodd
  }
`;

export default ({ ...props }) => (
  <LoadingAegon xmlns='http://www.w3.org/2000/svg' className='splash-screen__image c-white' viewBox='0 0 130 143.1' {...props}>
    <title>Mongeral Aegon</title>
    <g>
      <g>
        <path className='splash-screen__path' d='M107.52 0L0 35.28 35.39 143.1 130 112.09l-8.63-26.31H91.9l-3.48 12.14H73.07l25.39-75.39h16.48L107.52 0z' />
        <path className='splash-screen__path' d='M95.52 73.87l10.73-34.24 11.22 34.24H95.52z' />
      </g>
    </g>
  </LoadingAegon>
)