import * as React from 'react';
import styled from 'styled-components';

import Colors from '../Colors';
import Sizes from '../Sizes';

export interface IProps {
  width?: number;
  height?: number;
  children?: any;
}

const InfoIcon = styled.svg`
  .cls-1 {
    fill: none;
    stroke: ${Colors.codGray};
    stroke-miterlimit: 10;
    stroke-width: 2px;
    stroke-linecap:square
  }
`;

export default React.memo(({ width, height }: IProps) => (
  <InfoIcon viewBox='0 0 5.472 17' width={width || Sizes.s3} height={height || Sizes.s3}>
    <g id="info-icon" transform="translate(-12.5)">
      <path className="cls-1" d="M0 0v7.419" transform="translate(15.236 7.992)"/>
      <path className="cls-1" d="M3.472 0H0" transform="translate(13.5 6.983)"/>
      <path className="cls-1" d="M3.472 0H0" transform="translate(13.5 16)"/>
      <circle cx="1.736" cy="1.736" fill={Colors.codGray} r="1.736" transform="translate(13.5)"/>
    </g>
  </InfoIcon>
));
