import * as React from 'react';
import styled from 'styled-components';

import Colors from '../Colors';
import Sizes from '../Sizes';

export interface IProps {
  width?: number;
  height?: number;
  color?: string;
  css?: string;
  viewBox?: string;
}

const SuccessIcon = styled.svg<IProps>`
  stroke: ${({ color }) => color || Colors.white};
`;

export default React.memo(({width, height, ...props}: IProps) => (
  <SuccessIcon viewBox='0 0 25 25' width={width || Sizes.s4} height={height || Sizes.s4} fillRule='evenodd' clipRule='evenodd'{...props}><path d='M24 4.685L7.673 22 0 12.946l.761-.648 6.95 8.203L23.272 4l.728.685z' />
  </SuccessIcon>
));
