import * as React from 'react';
import styled, { keyframes } from 'styled-components';

import Colors from '../Colors';

const shineRotation = keyframes`
  0% { transform: scale(1); }
  50% { transform: scale(0.9); }
  100% { transform: scale(1); }
`

const SummerIcon = styled.svg`
  fill: none;
	stroke: ${Colors.support};
	stroke-miterlimit: 10;
	stroke-width: 6px;

  .shine.one, .shine.two {
    animation-name: ${shineRotation};
    animation-timing-function: linear;
    animation-iteration-count: infinite;
    transform-origin: center;
  }

  .shine.one {
    animation-duration: 3s;
  }

  .shine.two {
    animation-duration: 2s;
    animation-delay: 0.7s
  }
`;

export default (props: { css?: string }) => (
  <SummerIcon viewBox='0 0 82 82' xmlns='http://www.w3.org/2000/svg' {...props}>
    <g className='shine one'>
      <line x1='40.84' x2='40.84' y1='15.63'/>
      <line x1='15.63' y1='41.16' y2='41.16'/>
      <line x1='41.16' x2='41.16' y1='66.37' y2='82'/>
      <line x1='66.37' x2='82' y1='40.84' y2='40.84'/>
    </g>

    <g className='shine two'>
      <line x1='22.95' x2='11.9' y1='23.17' y2='12.12'/>
      <line x1='23.17' x2='12.12' y1='59.05' y2='70.1'/>
      <line x1='59.05' x2='70.1' y1='58.83' y2='69.88'/>
      <line x1='58.83' x2='69.88' y1='22.95' y2='11.9'/>
    </g>

    <circle cx='41' cy='41' r='15.7'/>
  </SummerIcon>
);