import * as React from 'react';
import styled, { keyframes } from 'styled-components';

import Colors from '../Colors';

const flakesFall = keyframes`
0% {}
40% { opacity: 0; }
70% { opacity: 1; }
100% {
  transform: translateY(25px);
  opacity: 0;
}`

const WinterIcon = styled.svg`
  fill: none;
  stroke: ${Colors.support};
  stroke-miterlimit: 10;
  stroke-width: 3px;

  .cloud-icon {
    stroke-linecap:square;
    stroke-width: 6px;
  }

  .winter.left,
  .winter.middle,
  .winter.right {
    opacity: 0;
    animation-name: ${flakesFall};
    animation-timing-function: ease-in;
    animation-duration: 2s;
    animation-iteration-count: infinite;
  }

  .winter.middle {
    animation-delay: 0.6s;
  }

  .winter.right {
    animation-delay: 1.2s;
  }
`;

export default (props: { css?: string }) => (
  <WinterIcon viewBox='0 0 90 105' xmlns='http://www.w3.org/2000/svg' {...props}>
    <g className='winter left'>
      <line x1='16.12' x2='16.12' y1='63.65' y2='76.32'/>
      <polyline points='17.78 61.99 16.12 63.65 14.46 61.99'/>
      <polyline points='14.46 77.99 16.12 76.33 17.78 77.99'/>
      <polyline points='24.12 71.65 22.46 69.99 24.12 68.33'/>
      <polyline points='8.12 68.33 9.78 69.99 8.12 71.65'/>
      <line x1='22.46' x2='9.78' y1='69.99' y2='69.99'/>
      <line x1='20.6' x2='11.64' y1='74.47' y2='65.51'/>
      <line x1='11.64' x2='20.6' y1='74.47' y2='65.51'/>
    </g>

    <g className='winter middle'>
      <line x1='44.65' x2='44.65' y1='63.65' y2='76.32'/>
      <polyline points='46.31 61.99 44.65 63.65 42.98 61.99'/>
      <polyline points='42.98 77.99 44.65 76.33 46.31 77.99'/>
      <polyline points='52.65 71.65 50.98 69.99 52.65 68.33'/>
      <polyline points='36.65 68.33 38.31 69.99 36.65 71.65'/>
      <line x1='50.98' x2='38.31' y1='69.99' y2='69.99'/>
      <line x1='49.13' x2='40.17' y1='74.47' y2='65.51'/>
      <line x1='40.17' x2='49.13' y1='74.47' y2='65.51'/>
    </g>

    <g className='winter right'>
      <line x1='77.67' x2='77.67' y1='63.65' y2='76.32'/>
      <polyline points='79.34 61.99 77.67 63.65 76.01 61.99'/>
      <polyline points='76.01 77.99 77.68 76.33 79.34 77.99'/>
      <polyline points='85.67 71.65 84.01 69.99 85.67 68.33'/>
      <polyline points='69.67 68.33 71.34 69.99 69.68 71.65'/>
      <line x1='84.01' x2='71.34' y1='69.99' y2='69.99'/>
      <line x1='82.16' x2='73.19' y1='74.47' y2='65.51'/>
      <line x1='73.19' x2='82.16' y1='74.47' y2='65.51'/>
    </g>
    <path className='cloud-icon' d='M69,21.15A25.35,25.35,0,1,0,21.62,39.21a15.91,15.91,0,0,0-2-.12,15.68,15.68,0,0,0,0,31.36h41A25.34,25.34,0,0,0,69,21.15Z' />
  </WinterIcon>
);