import styled, { keyframes, css } from 'styled-components';
import Colors from '../Colors';

interface IProps {
  size?: number|string;
  noButton?: boolean;
}

const loadingAnimation = keyframes`
  17% {
        border-bottom-right-radius: 3px;
    }
    25% {
        transform: translateY(15%) rotate(22.5deg);
    }
    50% {
        transform: translateY(30%) scale(1, 0.9) rotate(45deg);
        border-bottom-right-radius: 80%;
    }
    75% {
        transform: translateY(15%) rotate(67.5deg);
    }
    100% {
        transform: translateY(0) rotate(90deg);
    }
`;

const animation = css`
  animation: ${loadingAnimation} .6s infinite linear;
`;

const Loading = styled.div<IProps>`
  ${({ noButton }) => noButton ? `
    justify-content: center;
    align-items: center;
    width: 67px;
    height: 67px;
    border: 4px solid ${Colors.mongeral};
    border-radius: 0px;
    position: relative;
  ` : `
    position: absolute;
    left: 0;
    right: 0;
    width: 16px;
    height: 16px;
    margin: auto;
    top: 20px;
    border: 2px solid #ffffff;
    border-radius: 0px;
  `}
  ${animation};
`;

export default Loading;
