import styled from 'styled-components';

import { TextHelper, Colors, Sizes } from '../index';

interface IProps {
  fontDimension?: number|string;
  fontColor?: string;
  margin?: number|string;
  css?: string;
  variant?: string;
}

export default {
  p: styled.p`
    line-height: 24px;
    ${(props: IProps) => TextHelper.fontPropertiesFactory(props, {
      defaultColor: Colors.codGray,
      defaultFontSize: Sizes.s3,
      defaultVariant: 'regular',
      defaultMargin: `${Sizes.s3}px 0`,
    })}
  `,
  span: styled.span`
    ${(props: IProps) => TextHelper.fontPropertiesFactory(props, {
      defaultColor: Colors.codGray,
      defaultFontSize: Sizes.s3,
      defaultVariant: 'regular',
      defaultMargin: `${Sizes.s3}px 0`,
    })}
  `,
};
